#!/bin/sh

CHAP=8
APPNAME=expat
VER=2.2.9
TARGET=$APPNAME-$VER
TARGETBALL=$TARGET.tar.xz
TARGETDIR=$TARGET

echo $TARGET

. ./_lfsset.sh

cd $SRC

echo \ \ Removing old directory...
rm -fr $TARGETDIR

. $WRK/_extract.sh

TimeStart

cd $TARGETDIR

sed -i 's|usr/bin/env |bin/|' run.sh.in

echo \ \ Configuring...
./configure --prefix=/usr    \
            --disable-static \
            --docdir=/usr/share/doc/expat-$VER \
	1> $LOG/$CHAP.$TARGET.1_conf.log 2>&1 || exit 1

echo \ \ Making...
make \
	1> $LOG/$CHAP.$TARGET.2_make.log 2>&1 || exit 1

echo \ \ Installing...
porg -lp $TARGET "make install" \
	1> $LOG/$CHAP.$TARGET.3_install.log 2>&1 || exit 1

#porg -lp+ $TARGET "\
#install -v -dm755 /usr/share/doc/expat-$VER" \
#	1>> $LOG/$CHAP.$TARGET.3_install.log 2>&1 || exit 1
#porg -lp+ $TARGET "\
#install -v -m644 doc/*.{html,png,css} /usr/share/doc/expat-$VER" \
#	1>> $LOG/$CHAP.$TARGET.3_install.log 2>&1 || exit 1

TimeEnd chap8

echo -n \ \ Porging:\   && porg $TARGET || echo none

echo \ \ Removing directory...
cd ..
rm -fr $TARGETDIR

echo \ \ Done.
